Debian Bug report logs - #483217
texlive-latex-base: Files by Donald Arseneau: Lacking license statement, or nosell and such

version graph

Package: texlive-latex-base; Maintainer for texlive-latex-base is Debian TeX Maintainers <debian-tex-maint@lists.debian.org>; Source for texlive-latex-base is src:texlive-base.

Reported by: Frank Küster <frank@debian.org>

Date: Tue, 27 May 2008 20:24:04 UTC

Severity: serious

Tags: lenny-ignore, squeeze-ignore

Found in version texlive-base/2007-14

Done: Norbert Preining <preining@logic.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frank Küster <frank@debian.org>, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
New Bug report received and forwarded. Copy sent to Frank Küster <frank@debian.org>, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: texlive-latex-base: Files by Donald Arseneau: Lacking license statement, or nosell and such
Date: Tue, 27 May 2008 22:23:24 +0200
Package: texlive-latex-base
Version: 2007-14
Severity: serious

See also 

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=356853#20
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=356853#44

and finally

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=356853#260

with contact data and a discouraging comment about getting an answer
from him about licensing stuff.

The list of files is:

(first part researched in teTeX days)

    * chapterbib.sty: no license information
    * tabls.sty: no license information
    * import.sty: "this software is free of any restrictions"
    * relsize.sty: "public domain", nothing else
    * version.sty: no license information, not only by D.A.
    * selectp.sty: no license information 

Files only in TeXLive:

    * braket.sty "This is free, unencumbered, unsupported software."
    * conditionals.sty: No license information, not only by D.A.
    * excludeonly.sty: No license information, not only by D.A.
    * notoccite.sty: PD, but license statement could be clearer
    * placeins.tex: No license information
    * sansmath: PD, but could be clearer (what is PD?)
    * tabto.tex: No license information
    * titleref.sty: PD, spell out
    * underscore.sty: No license information
    * varwidth.sty: LPPL, but outdated "short version" included


Regards, Frank

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable'), (99, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages texlive-latex-base depends on:
ii  texlive-base                  2007-14    TeX Live: Essential programs and f
ii  texlive-common                2007-14    TeX Live: Base component

Versions of packages texlive-latex-base recommends:
ii  texlive-latex-base-doc        2007-14    TeX Live: Documentation files for 

Versions of packages tex-common depends on:
ii  debconf                      1.5.11etch1 Debian configuration management sy
ii  ucf                          2.0020      Update Configuration File: preserv

Versions of packages texlive-latex-base is related to:
pn  tetex-base                    <none>     (no description available)
ii  tetex-bin                     2007-14    TeX Live: teTeX transitional packa
ii  tetex-extra                   2007-14    TeX Live: teTeX transitional packa
ii  tex-common                    1.10       common infrastructure for building

-- debconf information:
  tex-common/check_texmf_wrong:
  tex-common/check_texmf_missing:

-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 483217@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Debian Release Management <debian-release@lists.debian.org>
Cc: 491354@bugs.debian.org, 477060@bugs.debian.org, 483217@bugs.debian.org
Subject: Handling of RC licensing bugs in TeXLive
Date: Sun, 20 Jul 2008 17:04:55 +0200
Dear release team,

I kindly request your advice on handling three RC bugs in TeXLive
packages, and maybe ask for a lenny-ignore tag.  Although all bug
numbers look quite recent, the first two are actually very old. But
these issues were originally reported against existing bugs in teTeX
which collected all license issues known at this time, and have now been
separated.


#477060, amslatex license; Source Package: texlive-base

Details of problems: The license of the AMSLaTeX package (Copyright by
        the American Mathematical Society, AMS) is phrased badly and is
        literally non-free. Plus, individual files have a different
        license header in the file.

What's happened so far:

       - Barbara Beeton at AMS has been contacted in April 2006 and
         answered promptly. A discussion about License details followed,
         only the parts relevant for AMSLaTeX are in the bug report. She
         said they'd sort this out and use a DFSG-free license, but that
         this might take long, because the people doing the work aren't
         the ones to decide (and I guess the AMS management needed to
         ask a lawyer, too).

       - Following this answer, the bug report which originally
         contained this conversation, #356853, got an etch-ignore tag. 

       - Nothing happened (no upload of AMSLaTeX to CTAN, in particular)

       - In 2007, Barbara Beeton said they were working on it, and how
         they planned to change things (but referring only to a part of
         the problem)

       - In particular, she said that the license of the
         individual files, as well as some related package, amsrefs, to
         the LPPL. This is planned for the 2008 update of AMS macros

       - In April this year, the discussion came up again on the
         Upstream (TeXLive) list, and Barbara Beeton answered again (see
         http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477060#45),
         now saying that the license of AMSLaTeX itself is going to be
         sorted out in a subsequent step. The timeline is

        ,----
        | our hope is that, barring disasters, the update
        | of ams-latex -- all of it -- will be ready by
        | the end of the calendar year.  (but unfortunately,
        | we must allow for disasters; this past year has [...]
        `----

I am aware that foo-ignore tags are usually granted for licensing issues
when it upstream has assured to be willing to clarify the situation in a
DFSG-free manner, *and* it can be expected that this is going to happen
in a timely manner. And that "timely manner" usually does not mean
longer than a Debian stable lifetime. While the first is completely true
here, the update has already taken very long, and there is now no chance
to get the planned update into lenny.  I can personally understand well
why Upstream (AMS) has not been able to make an upload - their business
is not software development, but support for american mathematicians,
and I am sure that they *will* eventualy do it. But I would also accept
if the release team no longer feels confident that anything is going to
happen.

Anyway, I kindly request considering a lenny-ignore tag for this bug.


#483217, files by Donald Arseneau; Source Package: texlive-base

This has also first been reported in #356853.

Details of the problem: Donald Arseneau is a long-time contributor to
the TeX community.  In the old days he used no license at all, or very
different license texts, many of which are legally unclear ("This is
free, unencumbered, unsupported software."), for his works. But the
general believe in the community is that he intends his stuff to be free
software. Just he doesn't care for legalese, and isn't easy to convince
to make any change.

Lately, I asked about this on the Upstream (TeXLive) mailing list, and
got an answer in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=356853#260 with contact
data and a discouraging comment about getting an answer from him about
licensing stuff. Still, I would prefer to give it a try and convice him
before simply removing the files.

However, it is clear that no one among the Debian TeX Team will have
time to do this in the next couple of weeks, in other words in a
timeframe usefull for the lenny release. 

The reasons: Many contributors to the team usually just leave licensing
questions to Norbert and me. Norbert is on VAC for I think 5 more weeks,
and I have just become father of a sweet son and am going to start my
paid work again tomorrow. I am sure this will leave me no time to
concentrate on a conversation with someone who's a bit "problematic", in
particular not to follow up on answers soon. And IMO not allowing things
to be forgotten is very important when discussing licensing things with
reluctant upstreams.

Thus, our personal timeline would be "contact him in autumn, give the
attempt two or three weeks, and remove if nothing can be gained". Again,
this doesn't fit the lenny release timeline. Furthermore, one open
question is whether files with unclear phrasing of their license should
be removed "to be sure" or can be kept if we believe it is safe.

I'd be glad if you'd grant this bug a lenny-ignore tag, too, although I
admit that the reasoning is weak.


#491354, Source Package: texlive-extra

This has been found out only recently by Karl Berry on the TeXLive
list. In a mail about a functional patch to one of the files he wrote in
parentheses "I wonder if these wsuipa fonts are truly free, BTW.  I see
no notices anywhere."

Upstream is just about to release TeXLive 2008. This means that Karl in
particular will be completely taken up by this for the next 2 to 4
weeks. From what I know from him, he will probably follow up on that
issue himself, more so when we remind him. But he won't do it in the
next month.

In the case of this bug, I suggest to leave it just as it is for a
while: No ignore tags, since it wouldn't be warranted, but also no
removal from the package (or of the package). If Karl is still unable to
help us in late August, we should try to find time to make the contact
ourselves, and if that doesn't happen or is unsuccessful the fonts
should be removed shortly before the release.



Some remarks on the impact of removal:

We must admit that we do not know whether any of these files is used for
building Debian packages. My guess is that AMSLaTeX might be used by
some mathematics packages. This could be checked by looking at packages
with debtag field:mathematics which contain documentation, and verifying
whether any of them has hand-written LaTeX documentation (as opposed to
generated code).  The files by Donald Arseneau might also be used by
packages' documentation, but I don't think this is very likely. The
wsuipa phonetic fonts are outdated (superseded by tipa), and my guess is
that any actively developped package related to phonetics has switched
to tipa.


I'd appreciate your comments, 

Frank

-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 483217@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Frank Küster <frank@kuesterei.ch>, 491354@bugs.debian.org
Cc: Debian Release Management <debian-release@lists.debian.org>, 477060@bugs.debian.org, 483217@bugs.debian.org
Subject: Re: Bug#491354: Handling of RC licensing bugs in TeXLive
Date: Mon, 21 Jul 2008 11:13:25 +0200
Hi all,

I might add one point:

On So, 20 Jul 2008, Frank K�ster wrote:
> #477060, amslatex license; Source Package: texlive-base

Removing amslatex would severly reduce the usability of TeX on Debian.
Nowadays practically all articles using some formulas are using amslatex
packages, and this is so recommended in most documentations (giving
better spacing etc).

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
BOLSOVER
One of those brown plastic trays with bumps on, placed upside down in
boxes of chocolates to make you think you're-getting two layers.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 483217@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Release Management <debian-release@lists.debian.org>
Cc: 491354@bugs.debian.org, 477060@bugs.debian.org, 483217@bugs.debian.org
Subject: Re: Bug#491354: Handling of RC licensing bugs in TeXLive
Date: Sun, 27 Jul 2008 21:29:56 +0200
Hi all, 

Frank Küster <frank@kuesterei.ch> wrote:

> Dear release team,
>
> I kindly request your advice on handling three RC bugs in TeXLive
> packages, 

will someone among you find time to handle this issue?  You are probably
aware that the texlive cannot simply be removed if their RC bug seems to
block the release, because this would cause tons of FTBFS RC bugs.

So this has to be acted on. For one of the three bugs, we ask for a
lenny-ignore tag. For one more, we ask you to consider this, although we
are unsure whether this is acceptable for the release team.

Regards, Frank

Fullquote follows:

> Although all bug
> numbers look quite recent, the first two are actually very old. But
> these issues were originally reported against existing bugs in teTeX
> which collected all license issues known at this time, and have now been
> separated.
>
>
> #477060, amslatex license; Source Package: texlive-base
>
> Details of problems: The license of the AMSLaTeX package (Copyright by
>         the American Mathematical Society, AMS) is phrased badly and is
>         literally non-free. Plus, individual files have a different
>         license header in the file.
>
> What's happened so far:
>
>        - Barbara Beeton at AMS has been contacted in April 2006 and
>          answered promptly. A discussion about License details followed,
>          only the parts relevant for AMSLaTeX are in the bug report. She
>          said they'd sort this out and use a DFSG-free license, but that
>          this might take long, because the people doing the work aren't
>          the ones to decide (and I guess the AMS management needed to
>          ask a lawyer, too).
>
>        - Following this answer, the bug report which originally
>          contained this conversation, #356853, got an etch-ignore tag. 
>
>        - Nothing happened (no upload of AMSLaTeX to CTAN, in particular)
>
>        - In 2007, Barbara Beeton said they were working on it, and how
>          they planned to change things (but referring only to a part of
>          the problem)
>
>        - In particular, she said that the license of the
>          individual files, as well as some related package, amsrefs, to
>          the LPPL. This is planned for the 2008 update of AMS macros
>
>        - In April this year, the discussion came up again on the
>          Upstream (TeXLive) list, and Barbara Beeton answered again (see
>          http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=477060#45),
>          now saying that the license of AMSLaTeX itself is going to be
>          sorted out in a subsequent step. The timeline is
>
>         ,----
>         | our hope is that, barring disasters, the update
>         | of ams-latex -- all of it -- will be ready by
>         | the end of the calendar year.  (but unfortunately,
>         | we must allow for disasters; this past year has [...]
>         `----
>
> I am aware that foo-ignore tags are usually granted for licensing issues
> when it upstream has assured to be willing to clarify the situation in a
> DFSG-free manner, *and* it can be expected that this is going to happen
> in a timely manner. And that "timely manner" usually does not mean
> longer than a Debian stable lifetime. While the first is completely true
> here, the update has already taken very long, and there is now no chance
> to get the planned update into lenny.  I can personally understand well
> why Upstream (AMS) has not been able to make an upload - their business
> is not software development, but support for american mathematicians,
> and I am sure that they *will* eventualy do it. But I would also accept
> if the release team no longer feels confident that anything is going to
> happen.
>
> Anyway, I kindly request considering a lenny-ignore tag for this bug.
>
>
> #483217, files by Donald Arseneau; Source Package: texlive-base
>
> This has also first been reported in #356853.
>
> Details of the problem: Donald Arseneau is a long-time contributor to
> the TeX community.  In the old days he used no license at all, or very
> different license texts, many of which are legally unclear ("This is
> free, unencumbered, unsupported software."), for his works. But the
> general believe in the community is that he intends his stuff to be free
> software. Just he doesn't care for legalese, and isn't easy to convince
> to make any change.
>
> Lately, I asked about this on the Upstream (TeXLive) mailing list, and
> got an answer in
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=356853#260 with contact
> data and a discouraging comment about getting an answer from him about
> licensing stuff. Still, I would prefer to give it a try and convice him
> before simply removing the files.
>
> However, it is clear that no one among the Debian TeX Team will have
> time to do this in the next couple of weeks, in other words in a
> timeframe usefull for the lenny release. 
>
> The reasons: Many contributors to the team usually just leave licensing
> questions to Norbert and me. Norbert is on VAC for I think 5 more weeks,
> and I have just become father of a sweet son and am going to start my
> paid work again tomorrow. I am sure this will leave me no time to
> concentrate on a conversation with someone who's a bit "problematic", in
> particular not to follow up on answers soon. And IMO not allowing things
> to be forgotten is very important when discussing licensing things with
> reluctant upstreams.
>
> Thus, our personal timeline would be "contact him in autumn, give the
> attempt two or three weeks, and remove if nothing can be gained". Again,
> this doesn't fit the lenny release timeline. Furthermore, one open
> question is whether files with unclear phrasing of their license should
> be removed "to be sure" or can be kept if we believe it is safe.
>
> I'd be glad if you'd grant this bug a lenny-ignore tag, too, although I
> admit that the reasoning is weak.
>
>
> #491354, Source Package: texlive-extra
>
> This has been found out only recently by Karl Berry on the TeXLive
> list. In a mail about a functional patch to one of the files he wrote in
> parentheses "I wonder if these wsuipa fonts are truly free, BTW.  I see
> no notices anywhere."
>
> Upstream is just about to release TeXLive 2008. This means that Karl in
> particular will be completely taken up by this for the next 2 to 4
> weeks. From what I know from him, he will probably follow up on that
> issue himself, more so when we remind him. But he won't do it in the
> next month.
>
> In the case of this bug, I suggest to leave it just as it is for a
> while: No ignore tags, since it wouldn't be warranted, but also no
> removal from the package (or of the package). If Karl is still unable to
> help us in late August, we should try to find time to make the contact
> ourselves, and if that doesn't happen or is unsuccessful the fonts
> should be removed shortly before the release.
>
>
>
> Some remarks on the impact of removal:
>
> We must admit that we do not know whether any of these files is used for
> building Debian packages. My guess is that AMSLaTeX might be used by
> some mathematics packages. This could be checked by looking at packages
> with debtag field:mathematics which contain documentation, and verifying
> whether any of them has hand-written LaTeX documentation (as opposed to
> generated code).  The files by Donald Arseneau might also be used by
> packages' documentation, but I don't think this is very likely. The
> wsuipa phonetic fonts are outdated (superseded by tipa), and my guess is
> that any actively developped package related to phonetics has switched
> to tipa.
>
>
> I'd appreciate your comments, 
>
> Frank
>
> -- 
> Frank Küster
> Debian Developer (teTeX/TeXLive)

-- 
Frank Küster
Debian Developer (TeXLive)
ADFC Miltenberg
B90/Grüne KV Miltenberg




Tags added: lenny-ignore Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. (Sun, 07 Sep 2008 07:52:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. (Sun, 21 Sep 2008 09:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 21 Sep 2008 09:51:10 GMT) Full text and rfc822 format available.

Message #27 received at 483217@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Frank Küster <frank@debian.org>
Cc: Debian Release Management <debian-release@lists.debian.org>, 491354@bugs.debian.org, 477060@bugs.debian.org, 483217@bugs.debian.org
Subject: Re: Bug#491354: Handling of RC licensing bugs in TeXLive
Date: Sun, 21 Sep 2008 11:22:13 +0200
tag 477060 + lenny-ignore
tag 483217 + lenny-ignore
tag 491354 + lenny-ignore
thanks

* Frank Küster (frank@debian.org) [080727 19:29]:
> So this has to be acted on. For one of the three bugs, we ask for a
> lenny-ignore tag. For one more, we ask you to consider this, although we
> are unsure whether this is acceptable for the release team.

> > #477060, amslatex license; Source Package: texlive-base

agreed.

> > #483217, files by Donald Arseneau; Source Package: texlive-base

> > I'd be glad if you'd grant this bug a lenny-ignore tag, too, although I
> > admit that the reasoning is weak.

This case seems to be more ok, because we don't doubt about the intent -
we just need to fix the wording.


> > #491354, Source Package: texlive-extra
> >
> > This has been found out only recently by Karl Berry on the TeXLive
> > list. In a mail about a functional patch to one of the files he wrote in
> > parentheses "I wonder if these wsuipa fonts are truly free, BTW.  I see
> > no notices anywhere."


Given because that was noticed so late. "Lenny-ignore" of course doesn't
mean "not allowed to fix anymore", but just "we're not holding up the
release for it".



Cheers,
Andi




Tags added: lenny-ignore Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. (Sun, 21 Sep 2008 09:51:13 GMT) Full text and rfc822 format available.

Tags added: lenny-ignore Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 21 Sep 2008 10:36:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. (Sun, 14 Mar 2010 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 14 Mar 2010 07:45:03 GMT) Full text and rfc822 format available.

Message #36 received at 483217@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 483217@bugs.debian.org
Subject: texlive-latex-base: 483217: status?
Date: Sun, 14 Mar 2010 14:39:29 +0700
[Message part 1 (text/plain, inline)]
Ping,

Bug #483217 about licensing issues in files by Donald Arseneau was given
an exception for lenny. Do you plan to do so for squeeze also or has
someone managed to convince him to license his work in a more useful
way?

Hello from the 2010 Thai BSP:

http://wiki.debian.org/DebianThailand/MiniDebCamp2010/BSP

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. (Wed, 24 Mar 2010 10:12:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. (Sat, 16 Jun 2012 11:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arne Wichmann <aw@anhrefn.saar.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sat, 16 Jun 2012 11:45:04 GMT) Full text and rfc822 format available.

Message #43 received at 483217@bugs.debian.org (full text, mbox):

From: Arne Wichmann <aw@anhrefn.saar.de>
To: 483217@bugs.debian.org
Subject: Re: texlive-latex-base: 483217: status?
Date: Sat, 16 Jun 2012 13:32:05 +0200
[Message part 1 (text/plain, inline)]
begin  quotation  from Paul Wise (in <1268552369.2860.193.camel@chianamo>):
> Ping,
> 
> Bug #483217 about licensing issues in files by Donald Arseneau was given
> an exception for lenny. Do you plan to do so for squeeze also or has
> someone managed to convince him to license his work in a more useful
> way?

And for wheezy again?

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann (aw@linux.de)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. (Wed, 27 Jun 2012 11:13:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arne Wichmann <aw@anhrefn.saar.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Wed, 27 Jun 2012 11:13:42 GMT) Full text and rfc822 format available.

Message #48 received at 483217@bugs.debian.org (full text, mbox):

From: Arne Wichmann <aw@anhrefn.saar.de>
To: Norbert Preining <preining@logic.at>, 483217@bugs.debian.org
Cc: debian-tex-maint@lists.debian.org
Subject: Re: Bug#483217: texlive-latex-base: 483217: status?
Date: Wed, 27 Jun 2012 13:09:14 +0200
[Message part 1 (text/plain, inline)]
begin  quotation  from Norbert Preining (in <20120619024124.GD14486@gamma.logic.tuwien.ac.at>):
> On Sa, 16 Jun 2012, Arne Wichmann wrote:
> > > Bug #483217 about licensing issues in files by Donald Arseneau was given
> > > an exception for lenny. Do you plan to do so for squeeze also or has
> > > someone managed to convince him to license his work in a more useful
> > > way?
> > 
> > And for wheezy again?
> 
> Yes probably. I don't see a reasonable outcome sooner or later.

Given that, the relevant files should be removed from debian, as they are
not DFSG-free. Am I wrong there?

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann (aw@linux.de)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. (Wed, 27 Jun 2012 14:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Wed, 27 Jun 2012 14:33:03 GMT) Full text and rfc822 format available.

Message #53 received at 483217@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Arne Wichmann <aw@anhrefn.saar.de>
Cc: 483217@bugs.debian.org, debian-tex-maint@lists.debian.org
Subject: Re: Bug#483217: texlive-latex-base: 483217: status?
Date: Wed, 27 Jun 2012 23:30:50 +0900
On Mi, 27 Jun 2012, Arne Wichmann wrote:
> Given that, the relevant files should be removed from debian, as they are
> not DFSG-free. Am I wrong there?

Yes you are.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
VOBSTER (n.)
A strain of perfectly healthy rodent which develops cancer the moment
it enter a laboratory.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. (Fri, 29 Jun 2012 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arne Wichmann <aw@anhrefn.saar.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Fri, 29 Jun 2012 10:33:06 GMT) Full text and rfc822 format available.

Message #58 received at 483217@bugs.debian.org (full text, mbox):

From: Arne Wichmann <aw@anhrefn.saar.de>
To: Norbert Preining <preining@logic.at>
Cc: 483217@bugs.debian.org, debian-tex-maint@lists.debian.org
Subject: Re: Bug#483217: texlive-latex-base: 483217: status?
Date: Fri, 29 Jun 2012 12:29:23 +0200
[Message part 1 (text/plain, inline)]
begin  quotation  from Norbert Preining (in <20120627143050.GE25456@gamma.logic.tuwien.ac.at>):
> On Mi, 27 Jun 2012, Arne Wichmann wrote:
> > Given that, the relevant files should be removed from debian, as they are
> > not DFSG-free. Am I wrong there?
> 
> Yes you are.

Could you please enlighten me about my misunderstanding?

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann (aw@linux.de)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. (Wed, 04 Jul 2012 10:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Wed, 04 Jul 2012 10:48:07 GMT) Full text and rfc822 format available.

Message #63 received at 483217@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Arne Wichmann <aw@anhrefn.saar.de>
Cc: 483217@bugs.debian.org
Subject: Re: Bug#483217: texlive-latex-base: 483217: status?
Date: Wed, 4 Jul 2012 12:45:11 +0200
[Message part 1 (text/plain, inline)]
On 29.06.12 Arne Wichmann (aw@anhrefn.saar.de) wrote:
> begin  quotation  from Norbert Preining (in <20120627143050.GE25456@gamma.logic.tuwien.ac.at>):
> > On Mi, 27 Jun 2012, Arne Wichmann wrote:

Hi,

> > > Given that, the relevant files should be removed from debian,
> > > as they are not DFSG-free.  Am I wrong there?
> > 
> > Yes you are.
> 
> Could you please enlighten me about my misunderstanding?
> 
Please keep in mind that a few of the to be removed files are
essential parts of a basic (La)TeX installation, i.e.  we can't
remove them w/o getting another set of bugs "why is file xyz.sty
gone?"

Greets from MUC,
  H.
-- 
You cannot shake hands with a clenched fist.
		-- Indira Gandhi
  http://www.hilmar-preusse.de.vu/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. (Thu, 05 Jul 2012 19:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Kuester <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Thu, 05 Jul 2012 19:42:09 GMT) Full text and rfc822 format available.

Message #68 received at 483217@bugs.debian.org (full text, mbox):

From: Frank Kuester <frank@kuesterei.ch>
To: Hilmar Preusse <hille42@web.de>
Cc: 483217@bugs.debian.org, Arne Wichmann <aw@anhrefn.saar.de>
Subject: Re: Bug#483217: texlive-latex-base: 483217: status?
Date: Thu, 05 Jul 2012 21:39:44 +0200
Hilmar Preusse <hille42@web.de> writes:

> On 29.06.12 Arne Wichmann (aw@anhrefn.saar.de) wrote:
>> begin  quotation  from Norbert Preining (in <20120627143050.GE25456@gamma.logic.tuwien.ac.at>):
>> > On Mi, 27 Jun 2012, Arne Wichmann wrote:
>
> Hi,
>
>> > > Given that, the relevant files should be removed from debian,
>> > > as they are not DFSG-free.  Am I wrong there?
>> > 
>> > Yes you are.
>> 
>> Could you please enlighten me about my misunderstanding?
>> 
> Please keep in mind that a few of the to be removed files are
> essential parts of a basic (La)TeX installation, i.e.  we can't
> remove them w/o getting another set of bugs "why is file xyz.sty
> gone?"

Moreover, nobody actually believes that Donald ever had the intention to
make these files non-free.  These statements are just very old and
written at a time were people didn't care about license details.  We do
care now, but Donald doesn't care enough to spend time on that.

I'm not sure, though, that the system would break without those files.

Regards, Frank




Reply sent to Norbert Preining <preining@logic.at>:
You have taken responsibility. (Thu, 11 Oct 2012 07:03:05 GMT) Full text and rfc822 format available.

Notification sent to Frank Küster <frank@debian.org>:
Bug acknowledged by developer. (Thu, 11 Oct 2012 07:03:05 GMT) Full text and rfc822 format available.

Message #73 received at 483217-done@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: 483217-done@bugs.debian.org
Subject: Closing this licensing bug
Date: Thu, 11 Oct 2012 15:57:58 +0900
Dear all,

instead of perpetuating this endless story, I have gone through
all files related to Donald Arsenau and collected the licensing
statements.

Although not perfect, all of them are fine.
In previous posts to this bug and the related bug #356853 about
DA files, especially the following files were mentioned:

+- Problematic files by Donald Arseneau:

 +  * chapterbib.sty: no license information

there is a README that states:
        They are all released under a very simple permissive license in
        the MIT/BSD style:  They may be freely used, transmitted, reproduced,
        or modified provided that [the copyright and permission] notice is
        left intact.

 +  * tabls.sty: no license information
%  These macros may be freely used, transmitted, reproduced, or modified
%  provided that this notice is left intact.

 +  * import.sty: "this software is free of any restrictions"
% This software is in the public domain; free of any restrictions.

 +  * relsize.sty: "public domain", nothing else
% This software is contributed to the public domain.

 +  * shapepar.sty: noncommercial
% These definitions may be freely transmitted, reproduced, or modified
% provided that any modifications are clearly identified and this notice
% is left intact.

 +  * version.sty: no license information, not only by D.A.
% These macros may be freely used, transmitted, reproduced, or modified
% provided that the copyright notice and this permission is retained.

 +  * selectp.sty: no license information
%  This software is contributed freely to the public domain.

 +- citesort.sty: no license statement
not existing anymore

 +- index.doc: no license statement - probably unused
not existing anymore


For completeness all the findings, ordered by TeX Live packages:
-------------------------------------------------
braket
        This is free, unencumbered, unsupported software.

cancel
        I contribute this software to the public domain.  No rights reserved.

cases
%  These macros may be freely transmitted, reproduced, or modified
%  provided that this notice is left intact.  Sub-equation numbering
%  is based on subeqn.sty by Stephen Gildea; most of the rest is based
%  on LaTeX's \eqnarray by Leslie Lamport and the LaTeX3 team.

cite:
        cite.sty, overcite.sty, drftcite.sty, chapterbib.sty

        They are all released under a very simple permissive license in
        the MIT/BSD style:  They may be freely used, transmitted, reproduced,
        or modified provided that [the copyright and permission] notice is
        left intact.

dotseqn
%% This file may be freely transmitted and reproduced, but it may not be
%% changed unless the name is changed also.  This notice must remain intact.

excludeonly
% This software is contributed to the public domain.

framed
% These macros may be freely transmitted, reproduced, or modified
% for any purpose provided that this notice is left intact.

fwlw
%     This software package may be freely used, transmitted, reproduced,
%     or modified provided that this notice is left intact.

import
% This software is in the public domain; free of any restrictions.

magaz
% This software may be freely used, transmitted, reproduced, or modified
% provided that the copyright notice and this permission is retained.

nolbreaks
%  Public domain software -- please submit any improvements to CTAN

notoccite
% This is unrestricted software contributed to the public domain.

optional
% This software is released under the terms of the LaTeX Project Public
% License  (ftp://ctan.tug.org/tex-archive/macros/latex/base/lppl.txt).

oubraces
% Redistribution and use, with or without modification, are permitted provided 
% that the above copyright notice and this condition for use are retained.

placeins-plain
%  These macros may be freely used, transmitted, reproduced, or modified
%  provided that this notice is left intact.

placeins
%  placeins.sty is freely released to the public domain.

relsize
% This software is contributed to the public domain.

sansmath
% This package is released to the public domain by me, Donald Arseneau,
% the original author, who disclaims all rights.  I do not support it,
% and request that it be adopted and supported by someone who knows
% more about math font issues in LaTeX.

selectp
%  This software is contributed freely to the public domain.

shapepar
% These definitions may be freely transmitted, reproduced, or modified
% provided that any modifications are clearly identified and this notice
% is left intact.

subeqn
%% It may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3
%% of this license or (at your option) any later version.

tabls
%  These macros may be freely used, transmitted, reproduced, or modified
%  provided that this notice is left intact.

tabto-generic
% This software is contributed to the public domain.

tabto-ltx
% Permission to use, distribute and modify this software is granted
% under the conditions of the LaTeX Project Public License, either
% version 1.3 or (at your option) any later version.  The license is
% found at http://www.latex-project.org/lppl.txt, and is part of all
% recent distributions of LaTeX.

threeparttable
% This file may be distributed, modified, and used in other works with just
% one restriction: modified versions must clearly indicate the modification
% (a name change, or a displayed message, or ?).

titleref
%  This is free unsupported software, released to the public domain.

truncate
% This LaTeX program is released to the public domain.

ulem
%  This software may be freely transmitted, reproduced, or modified for any
%  purpose provided that this copyright notice is left intact.
%  (Small excerpts may be taken and used without any restriction.)

underscore
% License: LPPL version 1.2 or later.

url
% This program can be used, distributed, and modified under the terms
% of the LaTeX Project Public License.

varwidth
% This software is released under the terms of the LaTeX Project Public
% License  (ftp://ctan.tug.org/tex-archive/macros/latex/base/lppl.txt).

version
% These macros may be freely used, transmitted, reproduced, or modified
% provided that the copyright notice and this permission is retained.

wrapfig
%  This software is released under the terms of the LaTeX Project
%  public license.
------------------------------------------------------------


Although not optimal, I consider this enough to finally close
this bug report.

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
Someone down there
is trying to kill us!'
`Terrific,' said Arthur.
`But don't you see what this means?'
`Yes. We are going to die.'
`Yes, but apart from that.'
`APART from that?'
`It means we must be on to something!'
`How soon can we get off it?'
                 --- Zaphod and Arthur in a certain death situation over
                 --- Magrathea.
                 --- Douglas Adams, The Hitchhikers Guide to the Galaxy



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. (Thu, 11 Oct 2012 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Kuester <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Thu, 11 Oct 2012 22:03:03 GMT) Full text and rfc822 format available.

Message #78 received at 483217@bugs.debian.org (full text, mbox):

From: Frank Kuester <frank@kuesterei.ch>
To: owner@bugs.debian.org (Debian Bug Tracking System)
Cc: Norbert Preining <preining@logic.at>
Subject: Re: Bug#483217: marked as done (texlive-latex-base: Files by Donald Arseneau: Lacking license statement, or nosell and such)
Date: Thu, 11 Oct 2012 21:01:42 +0200
owner@bugs.debian.org (Debian Bug Tracking System) writes:

> Your message dated Thu, 11 Oct 2012 15:57:58 +0900

Many thanks for this.

> * chapterbib.sty: no license information
> 
> there is a README that states:
>         They are all released under a very simple permissive license in
>         the MIT/BSD style:  They may be freely used, transmitted, reproduced,
>         or modified provided that [the copyright and permission] notice is
>         left intact.

I didn't notice this, or maybe it wasn't present (in teTeX, CTAN, ...)
when I first checked.

I have no idea why so many of the files have a license statement inside
that it seems I didn't notice.  Well.

>  +  * relsize.sty: "public domain", nothing else
> % This software is contributed to the public domain.

When I wrote this, I was under the impression that, since public domain
doesn't exist in many jurisdictions, the term needs clarification. I
don't think we need to insist on this, in particular not if Donald is
from the US (which I don't know).

Again, thank you very much,
Frank



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#483217; Package texlive-latex-base. (Thu, 11 Oct 2012 22:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Thu, 11 Oct 2012 22:03:05 GMT) Full text and rfc822 format available.

Message #83 received at 483217@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Frank Kuester <frank@kuesterei.ch>
Cc: 483217@bugs.debian.org, debian-tex-maint@lists.debian.org
Subject: Re: Bug#483217: marked as done (texlive-latex-base: Files by Donald Arseneau: Lacking license statement, or nosell and such)
Date: Fri, 12 Oct 2012 07:01:16 +0900
Hi Frank,

(I bounced your email to the bug and the list, only me got it).

On Do, 11 Okt 2012, Frank Küster wrote:
> > * chapterbib.sty: no license information
> > 
> > there is a README that states:
> >         They are all released under a very simple permissive license in
> >         the MIT/BSD style:  They may be freely used, transmitted, reproduced,
> >         or modified provided that [the copyright and permission] notice is
> >         left intact.
> 
> I didn't notice this, or maybe it wasn't present (in teTeX, CTAN, ...)
> when I first checked.

It might have changed at some point. BUt I don't want to track
down all the stuff through the svn history.

> > % This software is contributed to the public domain.
> 
> When I wrote this, I was under the impression that, since public domain
> doesn't exist in many jurisdictions, the term needs clarification. I

Yeah, but we know we cannot do anything, but we know that
Donald is fine with it and will not change it. So enough of this 
carcass of bug without any future.

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
GLUTT LODGE (n.)
The place where food can be stored after having a tooth
extracted. Some Arabs can go without sustenance for up to six weeks on
a full glutt lodge, hence the expression 'the shit of the dessert'.
			--- Douglas Adams, The Meaning of Liff



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Nov 2012 07:26:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:23:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.